package com.ruoyi.ibs.grid.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 自定义名单网格汇总统计_公司对象 grid_virtual_count_gongsi_965
 * 
 * @author ruoyi
 * @date 2025-04-27
 */
public class GridVirtualCountGongsi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 统计日期 */
    @Excel(name = "统计日期")
    private String dt;

    /** 网格id */
//    @Excel(name = "网格id")
    private String gridId;

    /** 网格名称 */
    @Excel(name = "网格名称")
    private String gridName;

    /** 网格类型 */
    @Excel(name = "网格类型")
    private String gridType;

    /** 归属机构层级 */
//    @Excel(name = "归属机构层级")
    private String deptType;

    /** 归属支行 */
//    @Excel(name = "归属支行")
    private String deptId;

    /** 归属支行名称 */
    @Excel(name = "归属支行名称")
    private String deptName;

    /** 归属网点 */
//    @Excel(name = "归属网点")
    private String outletsId;

    /** 归属网点名称 */
    @Excel(name = "归属网点名称")
    private String outletsName;

    /** 归属客户经理 */
    @Excel(name = "归属客户经理")
    private String userName;

    /** 入格客户数 */
    @Excel(name = "入格客户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer custNum;

    /** 近365天已走访人数 */
    @Excel(name = "近365天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf365cnt;

    /** 近180天已走访人数 */
    @Excel(name = "近180天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf180cnt;

    /** 近90天已走访人数 */
    @Excel(name = "近90天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf90cnt;

    /** 近30天已走访人数 */
    @Excel(name = "近30天已走访人数",cellType = Excel.ColumnType.NUMERIC)
    private String zf30cnt;

    /** 近365天走访率 */
    @Excel(name = "近365天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf365rt;

    /** 近180天走访率 */
    @Excel(name = "近180天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf180rt;

    /** 近90天走访率 */
    @Excel(name = "近90天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf90rt;

    /** 近30天走访率 */
    @Excel(name = "近30天走访率",cellType = Excel.ColumnType.NUMERIC)
    private String zf30rt;


    /** 活期存款余额 */
    @Excel(name = "活期存款余额",cellType = Excel.ColumnType.NUMERIC)
    private String hqCurBalance;

    /** 保证金存款余额 */
    @Excel(name = "保证金存款余额",cellType = Excel.ColumnType.NUMERIC)
    private String bzCurBalance;

    /** 贷款余额 */
    @Excel(name = "贷款余额",cellType = Excel.ColumnType.NUMERIC)
    private String loanBalanceCny;

    /** 贴现余额 */
    @Excel(name = "贴现余额",cellType = Excel.ColumnType.NUMERIC)
    private String financeProd711Balance;

    /** 承兑汇票余额 */
    @Excel(name = "承兑汇票余额",cellType = Excel.ColumnType.NUMERIC)
    private String financeProd716Balance;

    /** 贷款年日均 */
    @Excel(name = "贷款年日均",cellType = Excel.ColumnType.NUMERIC)
    private String loanYearDailyaverage;

    /** 合同签约率 */
    @Excel(name = "合同签约率",cellType = Excel.ColumnType.NUMERIC)
    private String htqyRat;

    /** 签发承兑汇票率 */
    @Excel(name = "签发承兑汇票率",cellType = Excel.ColumnType.NUMERIC)
    private String qfcdRat;

    /** 贴现业务率 */
    @Excel(name = "贴现业务率",cellType = Excel.ColumnType.NUMERIC)
    private String txRat;

    /** 保函业务率 */
    @Excel(name = "保函业务率",cellType = Excel.ColumnType.NUMERIC)
    private String bhRat;

    /** 有效代发工资率 */
    @Excel(name = "有效代发工资率",cellType = Excel.ColumnType.NUMERIC)
    private String yxdfgzRat;

    /** 代扣电费率 */
    @Excel(name = "代扣电费率",cellType = Excel.ColumnType.NUMERIC)
    private String dkdfRat;

    /** 代扣水费率 */
    @Excel(name = "代扣水费率",cellType = Excel.ColumnType.NUMERIC)
    private String dksfRat;

    /** 代扣税费率 */
    @Excel(name = "代扣税费率",cellType = Excel.ColumnType.NUMERIC)
    private String dkshfRat;

    /** 票据宝签约率 */
    @Excel(name = "票据宝签约率",cellType = Excel.ColumnType.NUMERIC)
    private String pjbRat;

    /** 财资宝签约率 */
    @Excel(name = "财资宝签约率",cellType = Excel.ColumnType.NUMERIC)
    private String czbRat;

    /** 收付宝签约率 */
    @Excel(name = "收付宝签约率",cellType = Excel.ColumnType.NUMERIC)
    private String sfbRat;

    /** 贸融宝签约率 */
    @Excel(name = "贸融宝签约率",cellType = Excel.ColumnType.NUMERIC)
    private String mrbRat;

    /** 数字生态产品签约率 */
    @Excel(name = "数字生态产品签约率",cellType = Excel.ColumnType.NUMERIC)
    private String szstRat;

    /** 开户率 */
    @Excel(name = "开户率",cellType = Excel.ColumnType.NUMERIC)
    private String khRat;

    /** 国际结算业务率 */
    @Excel(name = "国际结算业务率",cellType = Excel.ColumnType.NUMERIC)
    private String gjjsywRat;

    /** 远期结算汇业务率 */
    @Excel(name = "远期结算汇业务率",cellType = Excel.ColumnType.NUMERIC)
    private String yqjshRat;

    /** 合同签约数 */
    @Excel(name = "合同签约数",cellType = Excel.ColumnType.NUMERIC)
    private Integer htqyNum;

    /** 签发承兑汇票数 */
    @Excel(name = "签发承兑汇票数",cellType = Excel.ColumnType.NUMERIC)
    private Integer qfcdNum;

    /** 贴现业务数 */
    @Excel(name = "贴现业务数",cellType = Excel.ColumnType.NUMERIC)
    private Integer txNum;

    /** 保函业务数 */
    @Excel(name = "保函业务数",cellType = Excel.ColumnType.NUMERIC)
    private Integer bhNum;

    /** 有效代发工资数 */
    @Excel(name = "有效代发工资数",cellType = Excel.ColumnType.NUMERIC)
    private Integer yxdfgzNum;

    /** 月均代发工资笔数 */
    @Excel(name = "月均代发工资笔数",cellType = Excel.ColumnType.NUMERIC)
    private String ustrCountPerM;

    /** 月均代发工资金额(元) */
    @Excel(name = "月均代发工资金额(元)",cellType = Excel.ColumnType.NUMERIC)
    private String ustrBalM;

    /** 代扣电费数 */
    @Excel(name = "代扣电费数",cellType = Excel.ColumnType.NUMERIC)
    private Integer dkdfNum;

    /** 代扣水费数 */
    @Excel(name = "代扣水费数",cellType = Excel.ColumnType.NUMERIC)
    private Integer dksfNum;

    /** 代扣税费数 */
    @Excel(name = "代扣税费数",cellType = Excel.ColumnType.NUMERIC)
    private Integer dkshfNum;

    /** 票据宝签约数 */
    @Excel(name = "票据宝签约数",cellType = Excel.ColumnType.NUMERIC)
    private Integer pjbNum;

    /** 财资宝签约数 */
    @Excel(name = "财资宝签约数",cellType = Excel.ColumnType.NUMERIC)
    private Integer czbNum;

    /** 收付宝签约数 */
    @Excel(name = "收付宝签约数",cellType = Excel.ColumnType.NUMERIC)
    private Integer sfbNum;

    /** 贸融宝签约数 */
    @Excel(name = "贸融宝签约数",cellType = Excel.ColumnType.NUMERIC)
    private Integer mrbNum;

    /** 数字生态产品签约数 */
    @Excel(name = "数字生态产品签约数",cellType = Excel.ColumnType.NUMERIC)
    private Integer szstNum;

    /** 开户数 */
    @Excel(name = "开户数",cellType = Excel.ColumnType.NUMERIC)
    private Integer khNum;

    /** 国际结算业务数 */
    @Excel(name = "国际结算业务数",cellType = Excel.ColumnType.NUMERIC)
    private Integer gjjsywNum;

    /** 远期结算汇业务数 */
    @Excel(name = "远期结算汇业务数",cellType = Excel.ColumnType.NUMERIC)
    private Integer yqjshNum;

    /** 部室归属 0零售 1公司 2运管 */
//    @Excel(name = "部室归属 0零售 1公司 2运管")
    private String opsDept;


    public void setDt(String dt) 
    {
        this.dt = dt;
    }

    public String getDt() 
    {
        return dt;
    }
    public void setGridId(String gridId) 
    {
        this.gridId = gridId;
    }

    public String getGridId() 
    {
        return gridId;
    }
    public void setGridName(String gridName) 
    {
        this.gridName = gridName;
    }

    public String getGridName() 
    {
        return gridName;
    }
    public void setGridType(String gridType) 
    {
        this.gridType = gridType;
    }

    public String getGridType() 
    {
        return gridType;
    }
    public void setDeptType(String deptType) 
    {
        this.deptType = deptType;
    }

    public String getDeptType() 
    {
        return deptType;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setOutletsId(String outletsId) 
    {
        this.outletsId = outletsId;
    }

    public String getOutletsId() 
    {
        return outletsId;
    }
    public void setOutletsName(String outletsName) 
    {
        this.outletsName = outletsName;
    }

    public String getOutletsName() 
    {
        return outletsName;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCustNum(Integer custNum) 
    {
        this.custNum = custNum;
    }

    public Integer getCustNum() 
    {
        return custNum;
    }
    public void setHqCurBalance(String hqCurBalance) 
    {
        this.hqCurBalance = hqCurBalance;
    }

    public String getHqCurBalance() 
    {
        return hqCurBalance;
    }
    public void setBzCurBalance(String bzCurBalance) 
    {
        this.bzCurBalance = bzCurBalance;
    }

    public String getBzCurBalance() 
    {
        return bzCurBalance;
    }
    public void setLoanBalanceCny(String loanBalanceCny) 
    {
        this.loanBalanceCny = loanBalanceCny;
    }

    public String getLoanBalanceCny() 
    {
        return loanBalanceCny;
    }
    public void setFinanceProd711Balance(String financeProd711Balance) 
    {
        this.financeProd711Balance = financeProd711Balance;
    }

    public String getFinanceProd711Balance() 
    {
        return financeProd711Balance;
    }
    public void setFinanceProd716Balance(String financeProd716Balance) 
    {
        this.financeProd716Balance = financeProd716Balance;
    }

    public String getFinanceProd716Balance() 
    {
        return financeProd716Balance;
    }
    public void setLoanYearDailyaverage(String loanYearDailyaverage) 
    {
        this.loanYearDailyaverage = loanYearDailyaverage;
    }

    public String getLoanYearDailyaverage() 
    {
        return loanYearDailyaverage;
    }
    public void setHtqyRat(String htqyRat) 
    {
        this.htqyRat = htqyRat;
    }

    public String getHtqyRat() 
    {
        return htqyRat;
    }
    public void setQfcdRat(String qfcdRat) 
    {
        this.qfcdRat = qfcdRat;
    }

    public String getQfcdRat() 
    {
        return qfcdRat;
    }
    public void setTxRat(String txRat) 
    {
        this.txRat = txRat;
    }

    public String getTxRat() 
    {
        return txRat;
    }
    public void setBhRat(String bhRat) 
    {
        this.bhRat = bhRat;
    }

    public String getBhRat() 
    {
        return bhRat;
    }
    public void setYxdfgzRat(String yxdfgzRat) 
    {
        this.yxdfgzRat = yxdfgzRat;
    }

    public String getYxdfgzRat() 
    {
        return yxdfgzRat;
    }
    public void setDkdfRat(String dkdfRat) 
    {
        this.dkdfRat = dkdfRat;
    }

    public String getDkdfRat() 
    {
        return dkdfRat;
    }
    public void setDksfRat(String dksfRat) 
    {
        this.dksfRat = dksfRat;
    }

    public String getDksfRat() 
    {
        return dksfRat;
    }
    public void setDkshfRat(String dkshfRat) 
    {
        this.dkshfRat = dkshfRat;
    }

    public String getDkshfRat() 
    {
        return dkshfRat;
    }
    public void setPjbRat(String pjbRat) 
    {
        this.pjbRat = pjbRat;
    }

    public String getPjbRat() 
    {
        return pjbRat;
    }
    public void setCzbRat(String czbRat) 
    {
        this.czbRat = czbRat;
    }

    public String getCzbRat() 
    {
        return czbRat;
    }
    public void setSfbRat(String sfbRat) 
    {
        this.sfbRat = sfbRat;
    }

    public String getSfbRat() 
    {
        return sfbRat;
    }
    public void setMrbRat(String mrbRat) 
    {
        this.mrbRat = mrbRat;
    }

    public String getMrbRat() 
    {
        return mrbRat;
    }
    public void setSzstRat(String szstRat) 
    {
        this.szstRat = szstRat;
    }

    public String getSzstRat() 
    {
        return szstRat;
    }
    public void setKhRat(String khRat) 
    {
        this.khRat = khRat;
    }

    public String getKhRat() 
    {
        return khRat;
    }
    public void setGjjsywRat(String gjjsywRat) 
    {
        this.gjjsywRat = gjjsywRat;
    }

    public String getGjjsywRat() 
    {
        return gjjsywRat;
    }
    public void setYqjshRat(String yqjshRat) 
    {
        this.yqjshRat = yqjshRat;
    }

    public String getYqjshRat() 
    {
        return yqjshRat;
    }
    public void setHtqyNum(Integer htqyNum) 
    {
        this.htqyNum = htqyNum;
    }

    public Integer getHtqyNum() 
    {
        return htqyNum;
    }
    public void setQfcdNum(Integer qfcdNum) 
    {
        this.qfcdNum = qfcdNum;
    }

    public Integer getQfcdNum() 
    {
        return qfcdNum;
    }
    public void setTxNum(Integer txNum) 
    {
        this.txNum = txNum;
    }

    public Integer getTxNum() 
    {
        return txNum;
    }
    public void setBhNum(Integer bhNum) 
    {
        this.bhNum = bhNum;
    }

    public Integer getBhNum() 
    {
        return bhNum;
    }
    public void setYxdfgzNum(Integer yxdfgzNum) 
    {
        this.yxdfgzNum = yxdfgzNum;
    }

    public Integer getYxdfgzNum() 
    {
        return yxdfgzNum;
    }
    public void setUstrCountPerM(String ustrCountPerM) 
    {
        this.ustrCountPerM = ustrCountPerM;
    }

    public String getUstrCountPerM() 
    {
        return ustrCountPerM;
    }
    public void setUstrBalM(String ustrBalM) 
    {
        this.ustrBalM = ustrBalM;
    }

    public String getUstrBalM() 
    {
        return ustrBalM;
    }
    public void setDkdfNum(Integer dkdfNum) 
    {
        this.dkdfNum = dkdfNum;
    }

    public Integer getDkdfNum() 
    {
        return dkdfNum;
    }
    public void setDksfNum(Integer dksfNum) 
    {
        this.dksfNum = dksfNum;
    }

    public Integer getDksfNum() 
    {
        return dksfNum;
    }
    public void setDkshfNum(Integer dkshfNum) 
    {
        this.dkshfNum = dkshfNum;
    }

    public Integer getDkshfNum() 
    {
        return dkshfNum;
    }
    public void setPjbNum(Integer pjbNum) 
    {
        this.pjbNum = pjbNum;
    }

    public Integer getPjbNum() 
    {
        return pjbNum;
    }
    public void setCzbNum(Integer czbNum) 
    {
        this.czbNum = czbNum;
    }

    public Integer getCzbNum() 
    {
        return czbNum;
    }
    public void setSfbNum(Integer sfbNum) 
    {
        this.sfbNum = sfbNum;
    }

    public Integer getSfbNum() 
    {
        return sfbNum;
    }
    public void setMrbNum(Integer mrbNum) 
    {
        this.mrbNum = mrbNum;
    }

    public Integer getMrbNum() 
    {
        return mrbNum;
    }
    public void setSzstNum(Integer szstNum) 
    {
        this.szstNum = szstNum;
    }

    public Integer getSzstNum() 
    {
        return szstNum;
    }
    public void setKhNum(Integer khNum) 
    {
        this.khNum = khNum;
    }

    public Integer getKhNum() 
    {
        return khNum;
    }
    public void setGjjsywNum(Integer gjjsywNum) 
    {
        this.gjjsywNum = gjjsywNum;
    }

    public Integer getGjjsywNum() 
    {
        return gjjsywNum;
    }
    public void setYqjshNum(Integer yqjshNum) 
    {
        this.yqjshNum = yqjshNum;
    }

    public Integer getYqjshNum() 
    {
        return yqjshNum;
    }
    public void setOpsDept(String opsDept) 
    {
        this.opsDept = opsDept;
    }

    public String getOpsDept() 
    {
        return opsDept;
    }

    public String getZf365cnt() {
        return zf365cnt;
    }

    public void setZf365cnt(String zf365cnt) {
        this.zf365cnt = zf365cnt;
    }

    public String getZf180cnt() {
        return zf180cnt;
    }

    public void setZf180cnt(String zf180cnt) {
        this.zf180cnt = zf180cnt;
    }

    public String getZf90cnt() {
        return zf90cnt;
    }

    public void setZf90cnt(String zf90cnt) {
        this.zf90cnt = zf90cnt;
    }

    public String getZf30cnt() {
        return zf30cnt;
    }

    public void setZf30cnt(String zf30cnt) {
        this.zf30cnt = zf30cnt;
    }

    public String getZf365rt() {
        return zf365rt;
    }

    public void setZf365rt(String zf365rt) {
        this.zf365rt = zf365rt;
    }

    public String getZf180rt() {
        return zf180rt;
    }

    public void setZf180rt(String zf180rt) {
        this.zf180rt = zf180rt;
    }

    public String getZf90rt() {
        return zf90rt;
    }

    public void setZf90rt(String zf90rt) {
        this.zf90rt = zf90rt;
    }

    public String getZf30rt() {
        return zf30rt;
    }

    public void setZf30rt(String zf30rt) {
        this.zf30rt = zf30rt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dt", getDt())
            .append("gridId", getGridId())
            .append("gridName", getGridName())
            .append("gridType", getGridType())
            .append("createBy", getCreateBy())
            .append("deptType", getDeptType())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("outletsId", getOutletsId())
            .append("outletsName", getOutletsName())
            .append("userName", getUserName())
            .append("custNum", getCustNum())
            .append("hqCurBalance", getHqCurBalance())
            .append("bzCurBalance", getBzCurBalance())
            .append("loanBalanceCny", getLoanBalanceCny())
            .append("financeProd711Balance", getFinanceProd711Balance())
            .append("financeProd716Balance", getFinanceProd716Balance())
            .append("loanYearDailyaverage", getLoanYearDailyaverage())
            .append("htqyRat", getHtqyRat())
            .append("qfcdRat", getQfcdRat())
            .append("txRat", getTxRat())
            .append("bhRat", getBhRat())
            .append("yxdfgzRat", getYxdfgzRat())
            .append("dkdfRat", getDkdfRat())
            .append("dksfRat", getDksfRat())
            .append("dkshfRat", getDkshfRat())
            .append("pjbRat", getPjbRat())
            .append("czbRat", getCzbRat())
            .append("sfbRat", getSfbRat())
            .append("mrbRat", getMrbRat())
            .append("szstRat", getSzstRat())
            .append("khRat", getKhRat())
            .append("gjjsywRat", getGjjsywRat())
            .append("yqjshRat", getYqjshRat())
            .append("htqyNum", getHtqyNum())
            .append("qfcdNum", getQfcdNum())
            .append("txNum", getTxNum())
            .append("bhNum", getBhNum())
            .append("yxdfgzNum", getYxdfgzNum())
            .append("ustrCountPerM", getUstrCountPerM())
            .append("ustrBalM", getUstrBalM())
            .append("dkdfNum", getDkdfNum())
            .append("dksfNum", getDksfNum())
            .append("dkshfNum", getDkshfNum())
            .append("pjbNum", getPjbNum())
            .append("czbNum", getCzbNum())
            .append("sfbNum", getSfbNum())
            .append("mrbNum", getMrbNum())
            .append("szstNum", getSzstNum())
            .append("khNum", getKhNum())
            .append("gjjsywNum", getGjjsywNum())
            .append("yqjshNum", getYqjshNum())
            .append("opsDept", getOpsDept())
            .toString();
    }
}
